Loading...
Searching...
No Matches
flat_multiset.h File Reference
`#include "platform.h"`
`#include "initializer_list.h"`
`#include "nth_type.h"`
`#include "placement_new.h"`
`#include "pool.h"`
`#include "reference_flat_multiset.h"`
`#include "type_traits.h"`
`#include "private/comparator_is_transparent.h"`

Go to the source code of this file.

## Classes

class | etl::iflat_multiset< T, TKeyCompare >
class | etl::flat_multiset< T, MAX_SIZE_, TCompare >

## Namespaces

namespace | etl

## Functions

template<typename T, typename TKeyCompare>
bool | etl::operator== (const etl::iflat_multiset< T, TKeyCompare > &lhs, const etl::iflat_multiset< T, TKeyCompare > &rhs)
template<typename T, typename TKeyCompare>
bool | etl::operator!= (const etl::iflat_multiset< T, TKeyCompare > &lhs, const etl::iflat_multiset< T, TKeyCompare > &rhs)

## Variables

template<typename T, const size_t MAX_SIZE_, typename TCompare>
ETL_CONSTANT size_t | etl::flat_multiset< T, MAX_SIZE_, TCompare >::MAX_SIZE